<?php
if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}
use \WHMCS\Database\Capsule as Capsule;
function buylimit_config()
{
    return array(
        'name' => '购买限额', 
        'description' => '购买限额', 
        'author' => 'Flyqie',
        'version' => '1.2',
        'fields' => array(
            'status_cancelled' => array(
                'FriendlyName' => '购买限制包含被取消服务',
		        'Description' => '选中启用',
                'Type' => 'yesno'
            ),
            'status_terminated' => array(
                'FriendlyName' => '购买限制包含被删除服务',
		        'Description' => '选中启用',
                'Type' => 'yesno'
            ),
            'status_fraud' => array(
                'FriendlyName' => '购买限制包含被欺诈服务',
		        'Description' => '选中启用',
                'Type' => 'yesno'
            ),
        )
    );
}
function buylimit_activate()
{
    $query = "CREATE TABLE IF NOT EXISTS `mod_buylimit` ( `id` int(255) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键', `pid` varchar(500) NOT NULL COMMENT 'PID', `number` varchar(500) NOT NULL COMMENT 'NUMBER', PRIMARY KEY (`id`) ) ENGINE = MyISAM CHARSET = utf8 AUTO_INCREMENT = 0 COMMENT 'buylimit插件表';";
    full_query($query);
    return array('status' => 'success','description' => '插件已经成功激活,请设置插件');
}
function buylimit_deactivate()
{
    return array('status' => 'success','description' => '插件禁用成功,数据表未删除');
}
function buylimit_output($vars)
{
	if($_REQUEST['action'] == 'delete_info'){
		if(@$_REQUEST['ajax'] != 'true'){
			exit('禁止直接访问');
		}
		if(!@$_REQUEST['infoid']){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '参数不全';
			exit(json_encode($Infoarray));
		}
		$InfoFind = Capsule::table('mod_buylimit')->where('id',$_REQUEST['infoid'])->first();
		if(empty($InfoFind)){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '无法在数据库中找到该记录';
		}else{
			$InfoRm = Capsule::table('mod_buylimit')->where('id',$_REQUEST['infoid'])->delete();
			if(!$InfoRm){
	    		$Infoarray['result'] = 'error';
				$Infoarray['error'] = '未知错误';
		    }else{
	    		$Infoarray['result'] = 'success';
			}
		}
		header('Content-Type: text/json; charset=utf-8');
		exit(json_encode($Infoarray));
	}elseif($_REQUEST['action'] == 'get_info_list'){
		if(@$_REQUEST['ajax'] != 'true'){
			exit('禁止直接访问');
		}
		$infolist = Capsule::table('mod_buylimit')->get();
		$infolistarray = array();
		$num = 0;
		foreach ($infolist as $values) {
			$product = \WHMCS\Database\Capsule::table('tblproducts')->where('id', $values->pid)->first();
			$group = \WHMCS\Database\Capsule::table('tblproductgroups')->where('id', $product->gid)->first();
			$infolistarray[$num]['id'] = $values->id;
			$infolistarray[$num]['number'] = $values->number;
			$infolistarray[$num]['pname'] = $group->name.'--'.$product->name;
			$infolistarray[$num]['action'] = '<td><a class="btn btn-danger btn-xs" href="javascript:void(0)" onclick="delete_info('.$values->id.')">删除</a></td>'."   <a class=\"btn btn-primary btn-xs\" href=\"javascript:void(0)\" onclick=\"edit_info('$values->pid','$values->number',$values->id)\">修改</a></td>";
			$num++;
		}
		$Infoarray['result'] = 'success';
		$Infoarray['info'] = $infolistarray;
		header('Content-Type: text/json; charset=utf-8');
		exit(json_encode($Infoarray));
	}elseif($_REQUEST['action'] == 'add_info'){
		if(@$_REQUEST['ajax'] != 'true'){
			exit('禁止直接访问');
		}
		if(!@$_REQUEST['pid'] || !@$_REQUEST['number'] || !is_numeric(@$_REQUEST['number']) || !is_numeric(@$_REQUEST['pid'])){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '参数不正确';
			exit(json_encode($Infoarray));
		}
		$InfoFind = Capsule::table('mod_buylimit')->where('pid',trim(@$_REQUEST['pid']))->first();
		if($InfoFind){
			$Infoarray['result'] = 'error';
			$Infoarray['error'] = '数据库中已存在该记录';
		}else{
	        $InfoAdd = Capsule::table('mod_buylimit')->insert(array('pid' => trim(@$_REQUEST['pid']),'number' => trim(@$_REQUEST['number'])));
			if(!$InfoAdd){
				$Infoarray['result'] = 'error';
				$Infoarray['error'] = '无法插入数据库';
			}else{
				$Infoarray['result'] = 'success';
			}
		}
		exit(json_encode($Infoarray));
	}elseif($_REQUEST['action'] == 'edit_info'){
		if(@$_REQUEST['ajax'] != 'true'){
			exit('禁止直接访问');
		}
		if(!@$_REQUEST['pid'] || !@$_REQUEST['number'] || !is_numeric(@$_REQUEST['number']) || !is_numeric(@$_REQUEST['pid']) || !is_numeric(@$_REQUEST['infoid'])){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '参数不正确';
			exit(json_encode($Infoarray));
		}
		$InfoFind = Capsule::table('mod_buylimit')->where('id',trim($_REQUEST['infoid']))->first();
		if(!$InfoFind){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '记录不存在';
			exit(json_encode($Infoarray));
		}
		$InfoUpdate = Capsule::table('mod_buylimit')->where('id',trim($_REQUEST['infoid']))->update(array('pid' => trim(@$_REQUEST['pid']),'number' => trim(@$_REQUEST['number'])));
		if(!$InfoUpdate){
	    	$Infoarray['result'] = 'error';
			$Infoarray['error'] = '无法插入数据库';
			exit(json_encode($Infoarray));
		}else{
		    $Infoarray['result'] = 'success';
		    exit(json_encode($Infoarray));
		}
	}elseif($_REQUEST['action'] == 'getproductlist'){
		if(@$_REQUEST['ajax'] != 'true'){
			exit('禁止直接访问');
		}
		$productlist = null;
		$package = \WHMCS\Database\Capsule::table('tblproducts')->get();
		foreach ($package as $values) {
			$group = \WHMCS\Database\Capsule::table('tblproductgroups')->where('id', $values->gid)->first();
			$productlist .= '<option value ="'.$values->id.'">'.$group->name.'--'.$values->name.'</option>';
		}
		exit($productlist);
	}else{
		include 'templates.admin.php';
		if(@$_REQUEST['ajax'] != 'true'){
			echo $Header.PHP_EOL.$info_management.PHP_EOL.$Footer.PHP_EOL;
		}else{
			exit($info_management.PHP_EOL);
		}
	}
}